petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCASMSetType

Sets the type of restriction and interpolation used for local problems in the additive Schwarz method.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCASMSetType(PC pc,PCASMType type)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| type | - variant of ASM, one of

          PC_ASM_BASIC       - full interpolation and restriction
          PC_ASM_RESTRICT    - full restriction, local processor interpolation
          PC_ASM_INTERPOLATE - full interpolation, local processor restriction
          PC_ASM_NONE        - local processor restriction and interpolation

### Options Database Key

-pc_asm_type [basic,restrict,interpolate,none] -Sets ASM type

### Notes

if the is_local arguments are passed to PCASMSetLocalSubdomains() then they are used when PC_ASM_RESTRICT has been selected to limit the local processor interpolation

### Keywords

PC, ASM, set, type

### See Also

PCASMSetTotalSubdomains(), PCASMSetTotalSubdomains(), PCASMGetSubKSP(),
PCASMCreateSubdomains2D(), PCASMType, PCASMSetLocalType(), PCASMGetLocalType()

### Level

intermediate

### Location

src/ksp/pc/impls/asm/asm.c

### Implementations

PCASMSetType_ASM in src/ksp/pc/impls/asm/asm.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages